Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.functions
Class URIQueryParameters

    java.lang.Object
      net.sf.saxon.functions.URIQueryParameters

public class URIQueryParameters
extends java.lang.Object

A set of query parameters on a URI passed to the collection() or document() function

Nested Class Summary
`static class` | `URIQueryParameters.RegexFilter`

Field Summary
`static int` | `ON_ERROR_FAIL`
`static int` | `ON_ERROR_IGNORE`
`static int` | `ON_ERROR_WARNING`

Constructor Summary
`URIQueryParameters(java.lang.String query, Configuration config)`

Method Summary
`java.io.FilenameFilter` | `getFilenameFilter()` Get the file name filter (select=pattern), or null if unspecified
`java.lang.Integer` | `getOnError()` Get the value of the on-error=fail|warning|ignore parameter, or null if unspecified
`java.lang.Boolean` | `getRecurse()` Get the value of the recurse=yes|no parameter, or null if unspecified
`int` | `getStripSpace()` Get the value of the strip-space=yes|no parameter.
`java.lang.Integer` | `getValidationMode()` Get the value of the validation=strict|lax|preserve|strip parameter, or null if unspecified
`org.xml.sax.XMLReader` | `getXMLReader()` Get the selected XML parser, or null if unspecified

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ON_ERROR_FAIL

    public static final int ON_ERROR_FAIL

See Also:
  Constant Field Values

### ON_ERROR_WARNING

    public static final int ON_ERROR_WARNING

See Also:
  Constant Field Values

### ON_ERROR_IGNORE

    public static final int ON_ERROR_IGNORE

See Also:
  Constant Field Values

Constructor Detail

### URIQueryParameters

    public URIQueryParameters(java.lang.String query,
                              Configuration config)

Method Detail

### getStripSpace

    public int getStripSpace()

  Get the value of the strip-space=yes|no parameter. Returns one of the values `Whitespace.ALL`, `Whitespace.IGNORABLE`, `Whitespace.NONE`, `Whitespace.UNSPECIFIED`

### getValidationMode

    public java.lang.Integer getValidationMode()

  Get the value of the validation=strict|lax|preserve|strip parameter, or null if unspecified

### getFilenameFilter

    public java.io.FilenameFilter getFilenameFilter()

  Get the file name filter (select=pattern), or null if unspecified

### getRecurse

    public java.lang.Boolean getRecurse()

  Get the value of the recurse=yes|no parameter, or null if unspecified

### getOnError

    public java.lang.Integer getOnError()

  Get the value of the on-error=fail|warning|ignore parameter, or null if unspecified

### getXMLReader

    public org.xml.sax.XMLReader getXMLReader()

  Get the selected XML parser, or null if unspecified

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD